<template lang="pug">
BaseAnimationGroup.d-flex.flex-column.h-100(anim='height')
  .py-1.max-h-50(:key='stateKey' v-if='state')
    StateEdit.h-100
  .py-1.max-h-50(:key='propertyKey' v-if='!transition && !relation && property')
    PropertyEdit.h-100(:title='property.tagName')
  template(v-if='!transition && relation')
    .py-1.max-h-50(:key='propertyKey' v-if='relation.tagName === "direct"')
      RelationEdit.h-100(title='Direct')
    .py-1.max-h-50(:key='propertyKey' v-else-if='relation.tagName === "relation"')
      RelationEdit.h-100
    .py-1.max-h-50(:key='propertyKey' v-else-if='relation.tagName === "transform"')
      TransformEdit.h-100
  .py-1.max-h-50(key='transition' v-if='transition')
    TransitionEdit.h-100
</template>
<script src='./SSVGPropEdit.vue.js' />
